Package ru.bitel.bgbilling.plugins.helpdesk.common.bean

# Class Package

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.common.bean.Package

public class Package extends Object
Модель класса "пекет обращений в систему Helpdesk"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Package()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getChargeId()`
  Возвращает код "тип расхода"
  `int`
  `getCount()`
  Возращает заданое для пакета количество обращений
  `int`
  `getId()`
  Возращает id пакета
  `int`
  `getPeriod()`
  Возращает заданое для пакета, число дней на которое активируется пакет
  `BigDecimal`
  `getSumma()`
  Возвращает установленную стоимость пакета
  `String`
  `getTitle()`
  Возвращает название пакета
  `boolean`
  `isStatus()`
  Проверяет статус пакета (true => пакет включен, false => пакет выключен)
  `Package`
  `setChargeId(int chargeId)`
  Устанавливает код "тип расхода"
  `Package`
  `setCount(int count)`
  Устанавливает количество обращений в пакете
  `Package`
  `setId(int id)`
  Устанавливает id пакета
  `Package`
  `setPeriod(int period)`
  Устанавливает число дней на которое активируется пакет
  `Package`
  `setStatus(boolean status)`
  Устанавливает статус пакета (вкл.
  `Package`
  `setSumma(BigDecimal summa)`
  Устанавливает стоимоимость пакета
  `Package`
  `setTitle(String title)`
  Устанавливает название пакета

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Package

    public Package()

- ## Method Details

  - ### getChargeId

    public int getChargeId()
    Возвращает код "тип расхода"
    Returns:
      id типа расхода

  - ### getCount

    public int getCount()
    Возращает заданое для пакета количество обращений
    Returns:
      число обращений

  - ### getId

    public int getId()
    Возращает id пакета
    Returns:
      уникальный код пакета

  - ### getPeriod

    public int getPeriod()
    Возращает заданое для пакета, число дней на которое активируется пакет
    Returns:
      число дней

  - ### getSumma

    public BigDecimal getSumma()
    Возвращает установленную стоимость пакета
    Returns:
      стоимость пакета

  - ### getTitle

    public String getTitle()
    Возвращает название пакета
    Returns:
      текст названия пакета

  - ### isStatus

    public boolean isStatus()
    Проверяет статус пакета (true => пакет включен, false => пакет выключен)
    Returns:
      статус пакета

  - ### setChargeId

    public Package setChargeId(int chargeId)
    Устанавливает код "тип расхода"
    Parameters:
      `chargeId` - id типа расхода

  - ### setCount

    public Package setCount(int count)
    Устанавливает количество обращений в пакете
    Parameters:
      `count` - - число обращений

  - ### setId

    public Package setId(int id)
    Устанавливает id пакета
    Parameters:
      `id` - - уникальный код пакета

  - ### setPeriod

    public Package setPeriod(int period)
    Устанавливает число дней на которое активируется пакет
    Parameters:
      `period` - - число дней

  - ### setStatus

    public Package setStatus(boolean status)
    Устанавливает статус пакета (вкл./выкл.)
    Parameters:
      `status` - - true => пакет включен, false => пакет выключен

  - ### setSumma

    public Package setSumma(BigDecimal summa)
    Устанавливает стоимоимость пакета
    Parameters:
      `summa` - - стоимость пакета

  - ### setTitle

    public Package setTitle(String title)
    Устанавливает название пакета
    Parameters:
      `title` - - текст названия пакета